use crate::handlers;
use axum::{routing::get, Router};
use crate::run::SiteOptions;
use std::sync::Arc;

pub fn api_routes() -> Router<Arc<SiteOptions>> {
    Router::new()
        .route("/api/test", get(handlers::test_handler))
        .with_state(())
}

pub fn create_server_routes(_site_options: Arc<SiteOptions>) -> Router<Arc<SiteOptions>> {
    Router::new().merge(api_routes())
}
